Loading...
Searching...
No Matches
etl::chrono::year_month Class Reference

## Public Member Functions

ETL_CONSTEXPR | year_month ()
| Default constructor.
ETL_CONSTEXPR14 | year_month (const etl::chrono::year &y_, const etl::chrono::month &m_) ETL_NOEXCEPT
| Construct from month and day.
ETL_NODISCARD ETL_CONSTEXPR14 etl::chrono::year | year () const ETL_NOEXCEPT
| Returns the year.
ETL_NODISCARD ETL_CONSTEXPR14 etl::chrono::month | month () const ETL_NOEXCEPT
| Returns the month.
ETL_NODISCARD ETL_CONSTEXPR14 bool | ok () const ETL_NOEXCEPT
| Returns true if the month/day is valid.
ETL_NODISCARD ETL_CONSTEXPR14 int | compare (const year_month &other) const ETL_NOEXCEPT

## Member Function Documentation

## compare()

ETL_NODISCARD ETL_CONSTEXPR14 int etl::chrono::year_month::compare | ( | const year_month & | other | ) | const

inline

Compare year_month with another. if month < other.month, returns -1 else if month > other.month, returns 1 else if day < other.day, returns -1 else if day > other.day, returns 1 else returns 0

The documentation for this class was generated from the following file:

- include/etl/private/chrono/year_month.h